Kind = "service-intentions"
Name = "prometheus"
Sources = [
  {
    Name = "traefik"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          Methods = ["GET", "HEAD", "POST"]
        }
      }
    ]
  },
  {
    Name = "grafana"
    Permissions = [
      {
        # Deny access to the admin API from Grafana
        Action = "deny"
        HTTP {
          PathPrefix = "/api/v1/admin"
        }
      },
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/api/v1"
          Methods = ["GET", "HEAD", "POST", "PUT"]
        }
      }
    ]
  }
]
