Kind = "service-intentions"
Name = "loki"
Sources = [
  {
    Name = "traefik"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/"
        }
      }
    ]
  },
  {
    Name = "grafana"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/loki/api/v1"
          Methods = ["GET", "HEAD", "POST"]
        }
      },
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/ready"
          Methods = ["GET"]
        }
      }
    ]
  },
  {
    Name = "vector-aggregator"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathExact = "/loki/api/v1/push"
          Methods = ["POST"]
        }
      },
      {
        Action = "allow"
        HTTP {
          PathExact = "/ready"
          Methods = ["GET"]
        }
      }
    ]
  },
  {
    Name = "vector-agent"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathExact = "/loki/api/v1/push"
          Methods = ["POST"]
        }
      },
      {
        Action = "allow"
        HTTP {
          PathExact = "/ready"
          Methods = ["GET"]
        }
      }
    ]
  },
]
